/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include "ArchiveOStream.hpp"
#include "ArchiveStreamBufferWriter.hpp"

namespace OpenVulkano
{
	ArchiveOStream::ArchiveOStream(const ASBufferPtr& buffer)
			: std::ostream(buffer.get())
			, m_buffer(buffer)
	{}

	void ArchiveOStream::Close()
	{
		m_buffer->Close();
	}
}